r.le.patch(1)	       Grass User's Manual	    r.le.patch(1)



NNAAMMEE
       _r_._l_e_._p_a_t_c_h  -  This  program  can  be  used  to	calculate
       attribute, patch size, core (interior) size, shape,  frac-
       tal  dimension, and perimeter measures for sets of patches
       in a landscape

       _(_G_R_A_S_S _R_a_s_t_e_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       rr..llee..ppaattcchh

       rr..llee..ppaattcchh hheellpp

       rr..llee..ppaattcchh  [--bbccnnppttuu]   mmaapp==_n_a_m_e   [ssaamm==_n_a_m_e]   [rreegg==_n_a_m_e]
       [aatttt==_n_a_m_e_[_,_n_a_m_e_,_._._._]]   [ssiizz==_n_a_m_e_[_,_n_a_m_e_,_._._._]]  [ccoo11==_v_a_l_u_e]
       [ccoo22==_n_a_m_e_[_,_n_a_m_e_,_._._._]]   [sshh11==_n_a_m_e]   [sshh22==_n_a_m_e_[_,_n_a_m_e_,_._._._]]
       [ffrraa==_n_a_m_e] [ppeerr==_n_a_m_e_[_,_n_a_m_e_,_._._._]]  [oouutt==_n_a_m_e]

OOPPTTIIOONNSS
   FFllaaggss::
       --bb     Run in background.

       --cc     Output map 'interior' with patch cores.

       --nn     Output map 'num' with patch numbers.

       --pp     Include sampling area boundary as perimeter.

       --tt     Use 4 neighbor tracing instead of 8 neighbor.

       --uu     Output  maps 'units_x' with sampling units for each
	      scale x.


   PPaarraammeetteerrss::
       mmaapp    Raster map to be analyzed.

       ssaamm    Sampling method (choose  only  1	method):  w=whole
	      map, u=units, m=moving window, r=regions Default: w

       rreegg    Name of regions map, only when sam = r; omit other-
	      wise.

       aatttt    Attribute  measures:  Options:  a1, a2, a3, a4, a5,
	      a6, a7 a1 = mean pixel  attribute  a2  =	st.  dev.
	      pixel  attribute a3 = mean patch attribute a4 = st.
	      dev. patch attribute a5 = cover by gp a6 =  density
	      by gp a7 = total density

       ssiizz    Patch  size  measures: Options: s1, s2, s3, s4, s5,
	      s6 s1 = mean patch size s2 = st. dev. patch size s3
	      = mean patch size by gp s4 = st. dev. patch size by
	      gp s5 = no. by size class s6 = no. by size class by
	      gp

       ccoo11    Edge width in pixels (integer) for use with co2

       ccoo22    Core size measures (required if co1 was specified):
	      Options: c1, c2, c3, c4, c5, c6, c7, c8, c9, c10 c1
	      =  mean core size c2 = st. dev. core size c3 = mean
	      edge size c4 = st. dev. edge size c5  =  mean  core
	      size  by gp c6 = st. dev. core size by gp c7 = mean
	      edge size by gp c8 = st. dev. edge size by gp c9	=
	      no. by size class c10 = no. by size class by gp

       sshh11    Shape   method   (choose	 only  1  method):  m1	=
	      perim./area m2 = corr. perim./area m3 =  rel.  cir-
	      cum. circle

       sshh22    Shape  measures  (required  if  sh1 was specified):
	      Options: h1, h2, h3, h4, h5, h6  h1  =  mean  patch
	      shape  h2  =  st.  dev. patch shape h3 = mean patch
	      shape by gp h4 = st. dev. patch shape by	gp  h5	=
	      no. by shape class h6 = no. by shape class by gp

       ffrraa    Fractal	dimension  measures:  Options:	f1  f1	=
	      perim.-area fractal dim.

       ppeerr    Perimeter measures (required if pe1 was specified):
	      Options: p1, p2, p3, p4, p5, p6 p1 = sum of perims.
	      p2 = mean perim.	p3 = st. dev. perim.  p4 = sum of
	      perims.  by gp p5 = mean perim. by gp p6 = st. dev.
	      perim. by gp

       oouutt    Name of output file for individual patch	measures,
	      when sam=w, u, r; if out=head, then column headings
	      will be printed


SSEEEE AALLSSOO
       The _r_._l_e Programs Users Guide

       _r_._l_e_._t_r_a_c_e

AAUUTTHHOORR
       William L. Baker, Department of Geography and  Recreation,
       University of Wyoming

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_4_/_2_2 _1_7_:_3_6_:_2_7 _$



GRASS 5.0					    r.le.patch(1)
